/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

/**
 * MBean interface.
 */
public interface J2EEServerMBean extends org.jboss.management.j2ee.J2EEManagedObjectMBean
{

   java.lang.String[] getdeployedObjects();

   java.lang.String getdeployedObject(int pIndex);

   java.lang.String[] getresources();

   java.lang.String getresource(int pIndex);

   java.lang.String[] getjavaVMs();

   java.lang.String getjavaVM(int pIndex);

   java.lang.String getserverVendor();

   java.lang.String getserverVersion();

   void addChild(javax.management.ObjectName pChild);

   void removeChild(javax.management.ObjectName pChild);

}
